Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.layout.emitter
Interface IPage

    public interface IPage

Method Summary
`void` | `dispose()`
`void` | `drawBackgroundColor(java.awt.Color color, int x, int y, int width, int height)` Draws the background color at the contentByteUnder of the pdf
`void` | `drawBackgroundImage(int x, int y, int width, int height, int imageWidth, int imageHeight, int repeat, java.lang.String imageUrl, byte[] imageData, int absPosX, int absPosY)`
`void` | `drawImage(java.lang.String imageId, byte[] imageData, java.lang.String extension, int imageX, int imageY, int height, int width, java.lang.String helpText, java.util.Map params)`
`void` | `drawImage(java.lang.String uri, java.lang.String extension, int imageX, int imageY, int height, int width, java.lang.String helpText, java.util.Map params)`
`void` | `drawLine(int startX, int startY, int endX, int endY, int width, java.awt.Color color, int lineStyle)` Draws a line from the start position to the end position with the given line width, color, and style.
`void` | `drawText(java.lang.String text, int textX, int textY, int width, int height, org.eclipse.birt.report.engine.nLayout.area.style.TextStyle textStyle)` Draws text at specified position with specified styles.
`void` | `endClip()` restores last graphic state.
`void` | `showHelpText(java.lang.String text, int x, int y, int width, int height)`
`void` | `startClip(int startX, int startY, int width, int height)` Saves last graphic state, and clips a rectangle area.

Method Detail

### dispose

    void dispose()

### startClip

    void startClip(int startX,
                   int startY,
                   int width,
                   int height)

  Saves last graphic state, and clips a rectangle area.

  Parameters:
    `startX` - x coordinate of left upper corner.
    `startY` - y coordinate of left upper corner.
    `width` - width of the area.
    `height` - height of the area.

### endClip

    void endClip()

  restores last graphic state.

### drawText

    void drawText(java.lang.String text,
                  int textX,
                  int textY,
                  int width,
                  int height,
                  org.eclipse.birt.report.engine.nLayout.area.style.TextStyle textStyle)

  Draws text at specified position with specified styles.

  Parameters:
    `text` -
    `textX` -
    `textY` -
    `width` -
    `height` -
    `textStyle` -

### drawImage

    void drawImage(java.lang.String imageId,
                   byte[] imageData,
                   java.lang.String extension,
                   int imageX,
                   int imageY,
                   int height,
                   int width,
                   java.lang.String helpText,
                   java.util.Map params)
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### drawImage

    void drawImage(java.lang.String uri,
                   java.lang.String extension,
                   int imageX,
                   int imageY,
                   int height,
                   int width,
                   java.lang.String helpText,
                   java.util.Map params)
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### drawLine

    void drawLine(int startX,
                  int startY,
                  int endX,
                  int endY,
                  int width,
                  java.awt.Color color,
                  int lineStyle)

  Draws a line from the start position to the end position with the given line width, color, and style.

  Parameters:
    `startX` - the start X coordinate of the line
    `startY` - the start Y coordinate of the line
    `endX` - the end X coordinate of the line
    `endY` - the end Y coordinate of the line
    `width` - the lineWidth
    `color` - the color of the line
    `lineStyle` - the given line style

### drawBackgroundColor

    void drawBackgroundColor(java.awt.Color color,
                             int x,
                             int y,
                             int width,
                             int height)

  Draws the background color at the contentByteUnder of the pdf

  Parameters:
    `color` - the color to be drawn
    `x` - the start X coordinate
    `y` - the start Y coordinate
    `width` - the width of the background dimension
    `height` - the height of the background dimension

### drawBackgroundImage

    void drawBackgroundImage(int x,
                             int y,
                             int width,
                             int height,
                             int imageWidth,
                             int imageHeight,
                             int repeat,
                             java.lang.String imageUrl,
                             byte[] imageData,
                             int absPosX,
                             int absPosY)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### showHelpText

    void showHelpText(java.lang.String text,
                      int x,
                      int y,
                      int width,
                      int height)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.